# Register sender for project

Requests sender registration for a project.

Endpoint: POST /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/register
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `plusFriendId` (string, required)
    The unique ID of the sender.

## Response 200 fields (application/json):

  - `plusFriendId` (string, required)
    PlusFriend ID

  - `id` (string)
    The unique ID of the sender.

  - `state` (string)
    The current state of the sender.
    Enum: "ACTIVE", "BLOCKED", "INACTIVE", "SUSPENDED", "VERIFYING"

  - `changes` (object)
    Any pending changes to the sender.

  - `changes.status` (string, required)
    Current status of the pending changes.
    Enum: "DRAFT", "IN_PROGRESS", "REJECTED"

  - `changes.details` (array, required) — one of:
    Sender details and information.
    - KakaotalkSenderDetailsDto:
      - `adminPhoneNo` (string, required)
        Admin phone
      - `name` (string, required)
        Sender name
      - `topLevelCategoryCode` (string, required)
        Top level category code, must consist of 3 digits (e.g. 001).
      - `midLevelCategoryCode` (string, required)
        Mid level category code, must consist of 4 digits (e.g. 0001).
      - `subLevelCategoryCode` (string, required)
        Sub level category code, must consist of 4 digits (e.g. 0001).
      - `logoImage` (string)
        Sender logo
    - KakaotalkSenderChangesDetailsDto:
      - `adminPhoneNo` (string)
        Admin phone
      - `name` (string)
        Sender name
      - `logoImage` (string)
        Sender logo
      - `topLevelCategoryCode` (string)
        Top level category code, must consist of 3 digits (e.g. 001).
      - `midLevelCategoryCode` (string)
        Mid level category code, must consist of 4 digits (e.g. 0001).
      - `subLevelCategoryCode` (string)
        Sub level category code, must consist of 4 digits (e.g. 0001).

  - `details` (object)
    Sender details and information.

  - `details.adminPhoneNo` (string, required)
    Admin phone

  - `details.name` (string, required)
    Sender name

  - `details.topLevelCategoryCode` (string, required)
    Top level category code, must consist of 3 digits (e.g. 001).

  - `details.midLevelCategoryCode` (string, required)
    Mid level category code, must consist of 4 digits (e.g. 0001).

  - `details.subLevelCategoryCode` (string, required)
    Sub level category code, must consist of 4 digits (e.g. 0001).

  - `details.logoImage` (string)
    Sender logo

  - `created` (string)
    The UTC Date Time in ISO 8601 for when the sender was created.

  - `modified` (string)
    The UTC Date Time in ISO 8601 for when the sender was last modified.

## Response 400 fields (application/json):

  - `body` (ProjectNotInitializedErrorTitle (object) or InvalidAppKeyErrorTitle (object)) — one of:
    - ProjectNotInitializedErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "project_not_initialized"
      - `message` (string)
        Human readable message.
        Example: "Project not initialized for KakaoTalk."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Verify that the project ID is correct and that it has been onboarded for KakaoTalk."
    - InvalidAppKeyErrorTitle:
      - `errorCode` (string)
        Error code allows to programmatically handle errors.
        Example: "invalid_app_key"
      - `message` (string)
        Human readable message.
        Example: "Invalid app key."
      - `resolution` (string)
        Human readable message with an explanation of how to solve the error.
        Example: "Please check if the app key is correct"

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "sender_not_found"

  - `message` (string)
    Human readable message.
    Example: "Sender not found."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that the parameters are correct."

## Response 409 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "not_allowed_register"

  - `message` (string)
    Human readable message.
    Example: "Sender not allowed to be registered."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Sender in \"ACTIVE\" state can't be registered."

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "internal_error"

  - `message` (string)
    Human readable message.
    Example: "Internal server error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again, if the error persist please contact support."


